{"openapi":"3.0.1","info":{"title":"IACPaaS API","description":"This is Open API interface to IACPaaS","version":"1.0"},"servers":[{"url":"https://iacpaas.dvo.ru","description":"Generated server url"}],"security":[{"apiKeyScheme":[],"jwtScheme":[]}],"tags":[{"name":"Sign-in","description":"authentication endpoints"},{"name":"Services","description":"run services"},{"name":"Data","description":"export and import fund data"},{"name":"Storage Units","description":"storage units operations"}],"paths":{"/api/signin":{"post":{"tags":["Sign-in"],"summary":"авторизация в системе","description":"возвращает JWT токен","operationId":"signin","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignInRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JwtResponse"}}}}}}},"/api/data/import":{"post":{"tags":["Data"],"summary":"Import to fund","description":"Imports storage unit information to fund","operationId":"importJson","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CodeResult"}}}}}}},"/api/service/import-run-export":{"post":{"tags":["Services"],"summary":"Import to fund, run and export","description":"Imports storage unit information to fund, run it and export","operationId":"importRunExport","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportRunExportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExportResult"}}}}}}}},"/api/service/run/{id}":{"get":{"tags":["Services"],"operationId":"run","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TpirResult"}}}}}}},"/api/storage-unit/folder/create":{"post":{"tags":["Storage Units"],"summary":"создать папку","description":"создает новую папку в МФ пользователя","operationId":"createFolder","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FolderCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}}}}},"/api/data/delete":{"delete":{"tags":["Data"],"summary":"Delete from fund","description":"Delete storage unit information from fund","operationId":"delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CodeResult"}}}}}}},"/api/data/update":{"put":{"tags":["Data"],"summary":"Update in fund","description":"Update storage unit information in fund","operationId":"update","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CodeResult"}}}}}}},"/api/service/{id}/stop":{"put":{"tags":["Services"],"operationId":"stopUserService","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}}}}},"/api/data/export/user-item":{"get":{"tags":["Data"],"summary":"Export user-item from fund","description":"Returns JSON based on provided path and json type","operationId":"exportUserItem","parameters":[{"name":"path","in":"query","required":true,"schema":{"type":"string"}},{"name":"json-type","in":"query","required":true,"schema":{"type":"string"}},{"name":"start-target-concept-path","in":"query","required":false,"schema":{"type":"string"}},{"name":"export-depth","in":"query","required":false,"schema":{"type":"string"}},{"name":"compress","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"no-blob-data","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/service/{id}/running":{"get":{"tags":["Services"],"operationId":"isUserServiceRunning","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IsRunningServiceResult"}}}}}}},"/api/signout":{"post":{"tags":["Sign-in"],"summary":"выход из системы","operationId":"signout","responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"SignInRequest":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"}}},"JwtResponse":{"type":"object","properties":{"accessToken":{"type":"string"},"fio":{"type":"string"},"id":{"type":"integer","format":"int32"},"username":{"type":"string"},"email":{"type":"string"},"roles":{"type":"array","items":{"type":"string"}}}},"ImportRequest":{"required":["clearIfExists","json","path"],"type":"object","properties":{"path":{"type":"string"},"json":{"type":"string"},"clearIfExists":{"type":"boolean"}}},"CodeResult":{"type":"object","properties":{"error":{"type":"string"},"explanation":{"type":"string"},"success":{"type":"boolean"},"platformUnavailable":{"type":"boolean"},"code":{"type":"string"},"explanationSafe":{"type":"string"}}},"ExportRequest":{"required":["jsonType","path"],"type":"object","properties":{"path":{"type":"string"},"jsonType":{"type":"string"},"startTargetConceptPath":{"type":"string"},"exportDepth":{"type":"string"}}},"ImportRunExportRequest":{"required":["export","id","import"],"type":"object","properties":{"id":{"type":"string"},"noBlobData":{"type":"boolean"},"import":{"type":"array","items":{"$ref":"#/components/schemas/ImportRequest"}},"export":{"type":"array","items":{"$ref":"#/components/schemas/ExportRequest"}}}},"ExportResult":{"type":"object","properties":{"error":{"type":"string"},"explanation":{"type":"string"},"success":{"type":"boolean"},"platformUnavailable":{"type":"boolean"},"result":{"type":"string"},"explanationSafe":{"type":"string"}}},"AttachResult":{"type":"object","properties":{"id":{"type":"string"},"fileName":{"type":"string"},"content":{"type":"string"},"data":{"type":"array","items":{"type":"string","format":"byte"}},"binary":{"type":"boolean"},"contentType":{"type":"string"}}},"TpirResult":{"type":"object","properties":{"error":{"type":"string"},"explanation":{"type":"string"},"success":{"type":"boolean"},"platformUnavailable":{"type":"boolean"},"runningServiceId":{"type":"string"},"tpir":{"type":"string"},"attachResult":{"$ref":"#/components/schemas/AttachResult"},"explanationSafe":{"type":"string"}}},"FolderCreateRequest":{"type":"object","properties":{"path":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"metainfo":{"type":"string"}}},"Result":{"type":"object","properties":{"error":{"type":"string"},"explanation":{"type":"string"},"success":{"type":"boolean"},"platformUnavailable":{"type":"boolean"},"explanationSafe":{"type":"string"}}},"DeleteRequest":{"required":["mode","path"],"type":"object","properties":{"path":{"type":"string"},"mode":{"type":"string"},"concept_path":{"type":"string"},"metaconcept_path":{"type":"string"}}},"UpdateRequest":{"required":["concept_path","mark","metaconcept_path","path"],"type":"object","properties":{"path":{"type":"string"},"comment":{"type":"string"},"concept_path":{"type":"string"},"metaconcept_path":{"type":"string"},"mark":{"type":"string"}}},"IsRunningServiceResult":{"type":"object","properties":{"error":{"type":"string"},"explanation":{"type":"string"},"success":{"type":"boolean"},"platformUnavailable":{"type":"boolean"},"running":{"type":"boolean"},"explanationSafe":{"type":"string"}}}},"securitySchemes":{"apiKeyScheme":{"type":"apiKey","name":"X-API-KEY","in":"header"},"jwtScheme":{"type":"http","name":"JWT Authentication","in":"header","scheme":"bearer","bearerFormat":"JWT"}}}}